# Asterisk Project : Asterisk 12 Application_SendFAX_res_fax

Added by wikibot , edited by wikibot on Aug 29, 2013

# SendFAX() - [res_fax]

### Synopsis

Sends a specified TIFF/F file as a FAX.

### Description

This application is provided by res_fax, which is a FAX technology agnostic module that utilizes FAX technology resource modules to complete a FAX transmission.

Session arguments can be set by the FAXOPT function and to check results of the SendFax() application.

### Syntax

    SendFAX(filename2[&...],options)

##### Arguments

- `filename`
  - `filename2` - TIFF file to send as a FAX.
- `options`
  - `d` - Enable FAX debugging.
  - `f` - Allow audio fallback FAX transfer on T.38 capable channels.
  - `F` - Force usage of audio mode on T.38 capable channels.
  - `s` - Send progress Manager events (overrides statusevents setting in res_fax.conf).
  - `z` - Initiate a T.38 reinvite on the channel if the remote end does not.

### See Also

- Asterisk 12 Function_FAXOPT

### Import Version

This documentation was imported from Asterisk Version Unknown